“the j stands for Juggle”
about me | research blog | wordpress plugins | jQuery plugins

23 August, 2009

qTranslate Widget Validation Fixer

This is a small plugin which fixes a validation error I was having with otherwise brilliant qTranslate plugin. Basically there were duplicate ID’s on the page, and I kept getting this error:
ID "qtranslate-3" already defined
For more, refer to this thread.

To date this doesn’t seem to have been fixed (I suspect not everyone experiences this issue), so I wrote a small plugin which manually re-writes on the qTranslate plugin files to get around the error.

Instructions:

  1. Copy into your wp-content/plugins directory.
  2. Activate it (with qTranslate already activated)
  3. You can de-activate immediately afterwards.
  4. Repeat steps 2 & 3 each time you update qTranslate

Download v1.1: qTrans Fixer Plugin